---
lang: en
title: 'API docs: authentication.authenticationmetadata'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/authentication
permalink: /doc/en/lb4/apidocs.authentication.authenticationmetadata.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication](./authentication.md) &gt; [AuthenticationMetadata](./authentication.authenticationmetadata.md)

## AuthenticationMetadata interface

Authentication metadata stored via Reflection API

**Signature:**

```typescript
export interface AuthenticationMetadata 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [options?](./authentication.authenticationmetadata.options.md) |  | { \[name: string\]: any; } | _(Optional)_ Options for the authentication strategy |
|  [skip?](./authentication.authenticationmetadata.skip.md) |  | boolean | _(Optional)_ A flag to skip authentication |
|  [strategy](./authentication.authenticationmetadata.strategy.md) |  | string | Name of the authentication strategy |


